package datagrid08;

import javax.swing.*;
import javax.swing.table.*;
import java.awt.event.*;
import java.awt.*;
 
/**
 * Ajout Simple et efficace
 * des cases à cocher dans
 * une JTable
 * @auteur sako adama
 *
 ****/
public class code extends JFrame
{
 
    JTable table;
 
    // L'en-tête de Jtable
	String titre[]={"Langage","Type","Sélection"};
 
	// Les valeurs de Jtable
    Object [][]valeurs={{"C","Procédural"}
    ,{"C++","Procédural et Orienté Objet"}
    ,{"C#","Procédural et Orienté Objet"}
    ,{"Java","Orienté Objet"}
    ,{"Perl","Procédural et Orienté Objet"}
    ,{"PHP","Procédural et Orienté Objet"}
    ,{"Python","Procédural et Orienté Objet"}};
 
   DefaultTableModel tabModel;
 
	public code()
	{
		// Créer un composant JTable
		table=new JTable();
 
		// modifier le modèle du composant
		 table.setModel(new DefaultTableModel(valeurs, titre){
         Class[] types = new Class [] {
        java.lang.Object.class, java.lang.Object.class, java.lang.Boolean.class
    };
 
    public Class getColumnClass(int columnIndex) {
        return types [columnIndex];
    }
});
 
		// Ajouter le composant dans un JScrollPane
        JScrollPane jsp = new JScrollPane(table);
        // Ajouter le JScrollPane dans le JFrame
        getContentPane( ).add(jsp, BorderLayout.CENTER);
 
	}
		public static void main(String [] arg)
	{
       code tab= new code();
       tab.setTitle("Ajout des Cases à cocher dans une JTable");
       tab.setSize(450,150);
       tab.setVisible(true);
 
	}
}
